DNSRecord.Address
Date: 2017-02-10

javax.jmdns.impl

## Class DNSRecord.Address

- java.lang.Object
- - javax.jmdns.impl.DNSEntry
  - - javax.jmdns.impl.DNSRecord
    - - javax.jmdns.impl.DNSRecord.Address

- Direct Known Subclasses:
    DNSRecord.IPv4Address, DNSRecord.IPv6Address
  Enclosing class:
    DNSRecord

      public abstract static class DNSRecord.Address
      extends DNSRecord

  Address record.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.jmdns.impl.DNSRecord

      `DNSRecord.Address, DNSRecord.HostInformation, DNSRecord.IPv4Address, DNSRecord.IPv6Address, DNSRecord.Pointer, DNSRecord.Service, DNSRecord.Text`

  - ### Field Summary

    - ### Fields inherited from class javax.jmdns.impl.DNSRecord

      `EMPTY_TXT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DNSRecord.Address(java.lang.String name, DNSRecordType type, DNSRecordClass recordClass, boolean unique, int ttl, byte[] rawAddress)`
    `protected` | `DNSRecord.Address(java.lang.String name, DNSRecordType type, DNSRecordClass recordClass, boolean unique, int ttl, java.net.InetAddress addr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceEvent` | `getServiceEvent(JmDNSImpl dns)` Creates and return a service event for this record.
    `ServiceInfo` | `getServiceInfo(boolean persistent)` Return a service information associated with that record if appropriate.
    `boolean` | `isSingleValued()` Determine if a record can have multiple values in the cache.
    `protected void` | `toByteArray(java.io.DataOutputStream dout)` Creates a byte array representation of this record.
    `protected void` | `toString(java.lang.StringBuilder aLog)`

    - ### Methods inherited from class javax.jmdns.impl.DNSRecord

      `equals, getRecordSource, getServiceInfo, getTTL, isExpired, isStale, setRecordSource, setTTL`

    - ### Methods inherited from class javax.jmdns.impl.DNSEntry

      `compareTo, getKey, getName, getQualifiedNameMap, getRecordClass, getRecordType, getSubtype, getType, hashCode, isDomainDiscoveryQuery, isReverseLookup, isSameEntry, isSameRecordClass, isSameType, isServicesDiscoveryMetaQuery, isUnique, isV4ReverseLookup, isV6ReverseLookup, sameSubtype, toByteArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSRecord.Address

          protected DNSRecord.Address(java.lang.String name,
                           DNSRecordType type,
                           DNSRecordClass recordClass,
                           boolean unique,
                           int ttl,
                           java.net.InetAddress addr)

    - #### DNSRecord.Address

          protected DNSRecord.Address(java.lang.String name,
                           DNSRecordType type,
                           DNSRecordClass recordClass,
                           boolean unique,
                           int ttl,
                           byte[] rawAddress)

  - ### Method Detail

    - #### isSingleValued

          public boolean isSingleValued()

      Description copied from class: `DNSRecord`
      Determine if a record can have multiple values in the cache.
      Specified by:
        `isSingleValued` in class `DNSRecord`
      Returns:
        `false` if this record can have multiple values in the cache, `true` otherwise.

    - #### toByteArray

          protected void toByteArray(java.io.DataOutputStream dout)
                              throws java.io.IOException

      Creates a byte array representation of this record. This is needed for tie-break tests according to draft-cheshire-dnsext-multicastdns-04.txt chapter 9.2.
      Overrides:
        `toByteArray` in class `DNSEntry`
      Throws:
        `java.io.IOException`

    - #### getServiceInfo

          public ServiceInfo getServiceInfo(boolean persistent)

      Description copied from class: `DNSRecord`
      Return a service information associated with that record if appropriate.
      Specified by:
        `getServiceInfo` in class `DNSRecord`
      Parameters:
        `persistent` - if `true` ServiceListener.resolveService will be called whenever new new information is received.
      Returns:
        service information

    - #### getServiceEvent

          public ServiceEvent getServiceEvent(JmDNSImpl dns)

      Description copied from class: `DNSRecord`
      Creates and return a service event for this record.
      Specified by:
        `getServiceEvent` in class `DNSRecord`
      Parameters:
        `dns` - DNS serviced by this event
      Returns:
        service event

    - #### toString

          protected void toString(java.lang.StringBuilder aLog)

      Overrides:
        `toString` in class `DNSRecord`